This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 781025 - (SOA-3507) helloworld_ftp_action uses old JBoss cache config file
helloworld_ftp_action uses old JBoss cache config file
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA,5.3.0 GA
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-21 09:38 EDT by Martin Weiler
Modified: 2013-06-26 21:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3507 Major Closed helloworld_ftp_action uses old JBoss cache config file 2013-02-28 10:24:17 EST

  None (edit)
Description Martin Weiler 2011-10-21 09:38:35 EDT
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A0000008SKFG&sfdc.override=1
project_key: SOA

With the fixes applied for SOA-2278, the read-only ftp listener works with the updated JBoss Cache 3.2 libraries. But the cache configuration file contained in the quickstart (ftpfile-cache-config.xml) is still using the old JBoss Cache 1.4 syntax, resulting in a failure to deploy the quickstart.
Comment 1 Martin Weiler 2013-02-28 09:39:41 EST
Deploying the quickstart with 'ant deploy-readonly' leads to the following exception:

 ERROR [org.jboss.cache.config.parsing.XmlConfigHelper] (HDScanner) Configurator SAXParse error
org.xml.sax.SAXParseException: Premature end of file.
	at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
	at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
	at org.jboss.cache.config.parsing.XmlConfigHelper.getDocumentRoot(XmlConfigHelper.java:454)
	at org.jboss.cache.config.parsing.XmlConfigurationParser2x.parseStream(XmlConfigurationParser2x.java:103)
	at org.jboss.cache.DefaultCacheFactory.createCache(DefaultCacheFactory.java:179)
	at org.jboss.soa.esb.listeners.gateway.remotestrategies.cache.FtpFileCache.<init>(FtpFileCache.java:77)
	at org.jboss.soa.esb.listeners.gateway.remotestrategies.ReadOnlyRemoteFileSystemStrategy.init(ReadOnlyRemoteFileSystemStrategy.java:57)


To work around this, take the contents of one of the sample config files from the JBoss Cache 3.2.5.GA distribution, such as cacheloader-enabled.xml [1], and paste it into ftpfile-cache-config.xml.

[1] https://source.jboss.org/browse/~raw,r=8165/JBossCache/core/trunk/src/main/resources/config-samples/cacheloader-enabled.xml

Note You need to log in before you can comment on or make changes to this bug.